Package com.opensymphony.module.sitemesh.multipass

# Class DivExtractingPageParser

java.lang.Object
com.opensymphony.module.sitemesh.parser.HTMLPageParser
com.opensymphony.module.sitemesh.multipass.DivExtractingPageParser

All Implemented Interfaces:
  `PageParser`

public class DivExtractingPageParser extends HTMLPageParser

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`private static class`
`DivExtractingPageParser.TopLevelDivExtractingRule`

## Constructor Summary

Constructors
Constructor
Description
`DivExtractingPageParser()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addUserDefinedRules(State html, PageBuilder page)`

### Methods inherited from class com.opensymphony.module.sitemesh.parser.HTMLPageParser

`parse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DivExtractingPageParser

public DivExtractingPageParser()

## Method Details

### addUserDefinedRules

protected void addUserDefinedRules(State html, PageBuilder page)

Overrides:
  `addUserDefinedRules` in class `HTMLPageParser`